Bug 37173 - [Qt] The build system is not installing the generated headers (QGraphicsWebView, QWebDatabase, etc)
Summary: [Qt] The build system is not installing the generated headers (QGraphicsWebVi...
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Rodrigo Belem
URL:
Keywords: Qt
Depends on:
Blocks: 35784
  Show dependency treegraph
 
Reported: 2010-04-06 15:39 PDT by Rodrigo Belem
Modified: 2010-04-08 00:54 PDT (History)
7 users (show)

See Also:


Attachments
Patch that fixes this bug. (1.81 KB, patch)
2010-04-06 16:15 PDT, Rodrigo Belem
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rodrigo Belem 2010-04-06 15:39:13 PDT
The build system is installing everything fine apart from some headers, like QGraphicsWebView QWebDatabase, etc.

It is important to have the build system install these files because qtwebkit-2.0 now builds separately from qt.

* Building qtwebkit cmd:
WebKitTools/Scripts/build-webkit --qt

* Installing cmd:
cd WebKitBuild/Release/
make install
Comment 1 Rodrigo Belem 2010-04-06 16:15:22 PDT
Created attachment 52680 [details]
Patch that fixes this bug.

Trivial patch that replaces the .. by the $$OUTPUT_DIR.
Comment 2 Rodrigo Belem 2010-04-06 16:16:57 PDT
Adding Qt to the Keywords.
Comment 3 Jocelyn Turcotte 2010-04-07 05:51:53 PDT
(In reply to comment #1)
> Created an attachment (id=52680) [details]
> Patch that fixes this bug.
> 
> Trivial patch that replaces the .. by the $$OUTPUT_DIR.

I like the patch because it makes things clearer, however I don't understand why this fixes your issue since $$OUTPUT_DIR == ..

I probably miss something in the picture, do you have more information on why it helps?
Comment 4 Simon Hausmann 2010-04-07 05:57:01 PDT
Comment on attachment 52680 [details]
Patch that fixes this bug.

Looks good to me and Jocelyn (we just discussed it in the office :)

Thanks Rodrigo!
Comment 5 WebKit Commit Bot 2010-04-07 09:44:00 PDT
Comment on attachment 52680 [details]
Patch that fixes this bug.

Clearing flags on attachment: 52680

Committed r57213: <http://trac.webkit.org/changeset/57213>
Comment 6 WebKit Commit Bot 2010-04-07 09:44:06 PDT
All reviewed patches have been landed.  Closing bug.
Comment 7 Simon Hausmann 2010-04-08 00:53:57 PDT
Revision r57213 cherry-picked into qtwebkit-2.0 with commit 33c7a75414a4847b395f4ac78527e7d137a844f6